Subject: compliance classes...

From: Julian Reschke <[email-masked]>
Date: Mon, 26 Jun 2017 14:02:02 +0200

Triggered by a review of 
<https://tools.ietf.org/html/draft-ietf-calext-caldav-attachments-02#section-3.2> 
I just tried to figure out how many DAV compliance classes have been 
defined, and came up with:

> 1: https://www.greenbytes.de/tech/webdav/rfc4918.html#rfc.section.18.1
> 2: https://www.greenbytes.de/tech/webdav/rfc4918.html#rfc.section.18.2
> 3: https://www.greenbytes.de/tech/webdav/rfc4918.html#rfc.section.18.3
> access-control: https://www.greenbytes.de/tech/webdav/rfc3744.html#rfc.section.7.2
> activity: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.13.7
> addressbook: https://www.greenbytes.de/tech/webdav/rfc6352.html#rfc.section.6.1
> baseline: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.12.8
> bind: https://www.greenbytes.de/tech/webdav/rfc5842.html#rfc.section.8.1
> calendar-access: https://www.greenbytes.de/tech/webdav/rfc4791.html#rfc.section.5.1
> calendar-auto-schedule: https://www.greenbytes.de/tech/webdav/rfc6638.html#rfc.section.2
> calendar-availability: https://tools.ietf.org/html/rfc7953#section-7.2
> calendar-no-timezone: https://tools.ietf.org/html/rfc7809#section-3.1
> checkout-in-place: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.4.6
> extended-mkcol: https://www.greenbytes.de/tech/webdav/rfc5689.html#rfc.section.3.1
> label: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.8.4
> merge: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.11.4
> ordered-collections: https://www.greenbytes.de/tech/webdav/rfc3648.html#rfc.section.10
> redirectrefs: https://www.greenbytes.de/tech/webdav/rfc4437.html#rfc.section.16
> update: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.7.2
> version-control: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.3.9
> version-controlled-collection: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.14.3
> version-history: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.5.5
> working-resource: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.9.5
> workspace: https://www.greenbytes.de/tech/webdav/rfc3253.html#rfc.section.6.4

...so there are already 25, and I probably missed some...

Questions:

1) Should we have a registry?

2) *Did* I miss some?

Best regards, Julian